This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 132122 - new version of parted available, fixes issue with 2.6.x kernel
new version of parted available, fixes issue with 2.6.x kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 19:55 EDT by Tino Meinen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 16:42:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tino Meinen 2004-09-08 19:55:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
A newer version of parted is out, which fixes issues related to the
correct reporting of the mount state of partitions under kernel
versions 2.6.x.

From the changelog:
2004-09-06  Andrew Clausen <clausen@gnu.org>
* released 1.6.14

2004-09-05  Andrew Clausen <clausen@gnu.org>
* libparted/disk_dos.c (partition_probe_bios_geometry): fixed the
  call ped_partition_is_active... it wasn't a function call before!

2004-09-04  Andrew Clausen <clausen@gnu.org>
* libparted/disk_dos.c (chs_get_sector): a bitmask operation is more
elegant.
* libparted/disk_dos.c (chs_to_sector, probe_partition_for_geom):
  replaced 1022 with 1023 for consistency.
* libparted/disk_dos.c (probe_partition_for_geom): added assertions that
  test if the goal has been met.
* libparted/disk_dos.c (read_table, msdos_alloc_metadata):
  Use PED_PARTITION_NORMAL instead of 0.
* libparted/disk_dos.c (msdos_alloc_metadata, add_startend_metadata):
  Now make sure the placeholder/metadata partitions never overlap with
real
  partitions.  Should get rid of the "overlapping partitions" error
message
  bug.
* released 1.6.13

2004-09-03  Andrew Clausen <clausen@gnu.org>
* libparted/disk_dos.c (disk_probe_bios_geometry): check if the partition
  is active before querying if it has the boot flag set.  This prevents
  some spurious error exceptions from ped_partition_get_flag().
* libparted/disk_dos.c (read_table): if we have an invalid partition table
  signature, we now ignore the entire partition table rather than
processing
  dodgey data.

2004-08-31  Andrew Clausen <clausen@gnu.org>
* doc/API: fixed PedDevice documentation.
* libparted/disk_dos.c (msdos_partition_duplicate): now duplicates
  partition->dos_data->orig.

2004-08-29  Andrew Clausen <clausen@gnu.org>
* libparted/linux.c (_mount_table_search): now works by comparing device
  major/minor rather than device names.
* libparted/linux.c (_partition_is_mounted, _partition_is_mounted_by_path,
  linux_is_busy): minor cosmetic changes.
* parted/parted.c (_partition_warn_busy): removed the "Ignore" option.
  Users *must* unmount!

2004-08-17  Andrew Clausen <clausen@gnu.org>
* libparted/exception.c (log2): renamed to ped_log2 to avoid clash with
  a new gcc builtin.  Bug reported by David Ronis (thanks!)


Version-Release number of selected component (if applicable):
1.6.12

How reproducible:
Always

Steps to Reproduce:
1. This is a request for enhancement
    

Actual Results:   

Expected Results:   

Additional info:
Comment 1 Jeremy Katz 2004-09-08 20:05:44 EDT
1.6.12 is already built and has been for a couple of weeks now.  I
can't build newer until after test 2 is released (things are frozen at
this point)
Comment 2 Chris Lumens 2005-01-05 16:42:32 EST
1.6.19 is currently in Rawhide.  Closing this bug.  Reopen if problems show back up.

Note You need to log in before you can comment on or make changes to this bug.